> ## Documentation Index
> Fetch the complete documentation index at: https://docs.ankra.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Kubernetes Resources Endpoint



## OpenAPI

````yaml https://platform.ankra.app/openapi.json post /api/v1/clusters/{cluster_id}/kubernetes/resources/get
openapi: 3.1.0
info:
  title: FastAPI
  version: 0.1.0
servers:
  - url: https://platform.ankra.app
security: []
paths:
  /api/v1/clusters/{cluster_id}/kubernetes/resources/get:
    post:
      tags:
        - Kubernetes API
      summary: Get Kubernetes Resources Endpoint
      operationId: >-
        get_kubernetes_resources_endpoint_api_v1_clusters__cluster_id__kubernetes_resources_get_post
      parameters:
        - in: path
          name: cluster_id
          required: true
          schema:
            format: uuid4
            title: Cluster Id
            type: string
        - in: header
          name: authorization
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Authorization
        - in: header
          name: x-ankra-organisation-id
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: X-Ankra-Organisation-Id
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/GetKubernetesResourcesRequest'
        required: true
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetKubernetesResourcesResponse'
          description: Successful Response
        '401':
          description: Unauthorized
        '404':
          description: Not found
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
          description: Validation Error
components:
  schemas:
    GetKubernetesResourcesRequest:
      properties:
        resource_requests:
          items:
            $ref: '#/components/schemas/GetKubernetesResourcesRequestItem'
          title: Resource Requests
          type: array
        skip_cache:
          default: false
          title: Skip Cache
          type: boolean
      required:
        - resource_requests
      title: GetKubernetesResourcesRequest
      type: object
    GetKubernetesResourcesResponse:
      properties:
        resource_responses:
          items:
            $ref: '#/components/schemas/GetKubernetesResourcesResponseItem'
          title: Resource Responses
          type: array
      required:
        - resource_responses
      title: GetKubernetesResourcesResponse
      type: object
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          title: Detail
          type: array
      title: HTTPValidationError
      type: object
    GetKubernetesResourcesRequestItem:
      properties:
        continue_token:
          anyOf:
            - type: string
            - type: 'null'
          title: Continue Token
        field_selectors:
          anyOf:
            - items:
                $ref: '#/components/schemas/FieldSelector'
              type: array
            - type: 'null'
          title: Field Selectors
        group:
          anyOf:
            - type: string
            - type: 'null'
          title: Group
        kind:
          title: Kind
          type: string
        label_selector:
          anyOf:
            - type: string
            - type: 'null'
          title: Label Selector
        limit:
          anyOf:
            - type: integer
            - type: 'null'
          title: Limit
        name:
          anyOf:
            - type: string
            - type: 'null'
          title: Name
        namespace:
          anyOf:
            - type: string
            - type: 'null'
          title: Namespace
        resource:
          anyOf:
            - type: string
            - type: 'null'
          title: Resource
        version:
          default: v1
          title: Version
          type: string
      required:
        - kind
      title: GetKubernetesResourcesRequestItem
      type: object
    GetKubernetesResourcesResponseItem:
      properties:
        cache_metadata:
          anyOf:
            - $ref: '#/components/schemas/CacheMetadataResponse'
            - type: 'null'
        continue_token:
          anyOf:
            - type: string
            - type: 'null'
          title: Continue Token
        group:
          anyOf:
            - type: string
            - type: 'null'
          title: Group
        items:
          items: {}
          title: Items
          type: array
        kind:
          title: Kind
          type: string
        name:
          anyOf:
            - type: string
            - type: 'null'
          title: Name
        namespace:
          anyOf:
            - type: string
            - type: 'null'
          title: Namespace
        not_found:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Not Found
        status:
          $ref: '#/components/schemas/Status'
        total_count:
          anyOf:
            - type: integer
            - type: 'null'
          title: Total Count
        version:
          title: Version
          type: string
      required:
        - status
        - items
        - kind
        - version
      title: GetKubernetesResourcesResponseItem
      type: object
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          title: Location
          type: array
        msg:
          title: Message
          type: string
        type:
          title: Error Type
          type: string
      required:
        - loc
        - msg
        - type
      title: ValidationError
      type: object
    FieldSelector:
      properties:
        field:
          title: Field
          type: string
        value:
          title: Value
          type: string
      required:
        - field
        - value
      title: FieldSelector
      type: object
    CacheMetadataResponse:
      properties:
        deleted_at:
          anyOf:
            - type: string
            - type: 'null'
          title: Deleted At
        is_deleted:
          default: false
          title: Is Deleted
          type: boolean
        served_from_cache:
          title: Served From Cache
          type: boolean
        staleness_seconds:
          title: Staleness Seconds
          type: integer
        sync_status:
          title: Sync Status
          type: string
        warning:
          anyOf:
            - type: string
            - type: 'null'
          title: Warning
      required:
        - served_from_cache
        - staleness_seconds
        - sync_status
      title: CacheMetadataResponse
      type: object
    Status:
      enum:
        - success
        - error
      title: Status
      type: string

````